Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server
Class AbstractServerURL

    java.lang.Object
      org.jboss.portal.server.AbstractServerURL

All Implemented Interfaces:
  ServerURL

    public class AbstractServerURL

extends java.lang.Object
implements ServerURL

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`AbstractServerURL()`

Method Summary
`org.jboss.portal.common.util.ParameterMap` | `getParameterMap()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`java.lang.String` | `getPortalRequestPath()`
`void` | `setParameterValue(java.lang.String name, java.lang.String value)`
`void` | `setParameterValues(java.lang.String name, java.lang.String[] values)`
`void` | `setPortalRequestPath(java.lang.String portalRequestPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractServerURL

    public AbstractServerURL()

Method Detail

### setPortalRequestPath

    public void setPortalRequestPath(java.lang.String portalRequestPath)

  Specified by:
    `setPortalRequestPath` in interface `ServerURL`

### getPortalRequestPath

    public java.lang.String getPortalRequestPath()

  Specified by:
    `getPortalRequestPath` in interface `ServerURL`

### setParameterValue

    public void setParameterValue(java.lang.String name,
                                  java.lang.String value)

  Specified by:
    `setParameterValue` in interface `ServerURL`

### setParameterValues

    public void setParameterValues(java.lang.String name,
                                   java.lang.String[] values)

  Specified by:
    `setParameterValues` in interface `ServerURL`

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  Specified by:
    `getParameterValues` in interface `ServerURL`

### getParameterMap

    public org.jboss.portal.common.util.ParameterMap getParameterMap()

  Specified by:
    `getParameterMap` in interface `ServerURL`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD